Bug 1225348 - Can't remove NIC from compute profile
Summary: Can't remove NIC from compute profile
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI
Version: Unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Marek Hulan
QA Contact: Sachin Ghai
Russell Dickenson
URL:
Whiteboard:
Depends On:
Blocks: sat61-release-notes
TreeView+ depends on / blocked
 
Reported: 2015-05-27 07:44 UTC by David Juran
Modified: 2019-06-13 21:25 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Known Issue
Doc Text:
Issue: If you attempt to remove a network interface card (NIC) from a compute profile, it will fail, with no error message output. Workaround: None at this time.
Clone Of:
Environment:
Last Closed: 2015-09-15 07:21:58 UTC


Attachments (Terms of Use)
profile interfaces are still visible even after deletion. (39.59 KB, image/png)
2015-07-20 11:36 UTC, Sachin Ghai
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:1786 normal SHIPPED_LIVE Satellite 6.1.2 bug fix update 2015-09-15 11:20:04 UTC

Description David Juran 2015-05-27 07:44:50 UTC
Description of problem:
Seems I can't remove a NIC from a compute profile.

For some reason, my compute profile for my libvirt compute provider ended up with three NIC:s. When trying to remove the last one, it fails silently. The UI doesn't complain, but checking the compute profile again, the NIC is still there.

The following is a excerpt from the production.log on the satellite.

Processing by ComputeAttributesController#update as */*
  Parameters: {"utf8"=>"✓", "authenticity_token"=>"AYr5pogdxCv+GNxanwlTE5e/s1pxqnH3/TmpiSnUeDY=", "compute_attribute"=>{"vm_attrs"=>{"cpus"=>"2", "memory"=>"1073741824", "nics_attributes"=>{"new_nics"=>{"type"=>"bridge", "_delete"=>"", "bridge"=>"enp2s0", "model"=>"virtio"}, "0"=>{"type"=>"network", "_delete"=>"", "network"=>"openstack_prov", "model"=>"virtio"}, "1"=>{"type"=>"bridge", "_delete"=>"", "bridge"=>"nm-bridge", "model"=>"virtio"}, "2"=>{"type"=>"bridge", "_delete"=>"1", "bridge"=>"nm-bridge", "model"=>"virtio"}}, "volumes_attributes"=>{"new_volumes"=>{"pool_name"=>"default", "capacity"=>"10G", "allocation"=>"0G", "format_type"=>"raw", "_delete"=>""}, "0"=>{"pool_name"=>"default", "capacity"=>"10G", "allocation"=>"0G", "format_type"=>"qcow2", "_delete"=>""}}}}, "compute_profile_id"=>"4-openstack", "id"=>"1"}
Redirected to https://10.0.0.6/compute_profiles/4-openstack
Completed 302 Found in 108ms (ActiveRecord: 48.5ms)
Processing by ComputeProfilesController#show as */*
  Parameters: {"id"=>"4-openstack"}
  Rendered compute_profiles/show.html.erb within layouts/application (29.7ms)
  Rendered home/_submenu.html.erb (6.1ms)
  Rendered home/_user_dropdown.html.erb (2.2ms)
Read fragment views/tabs_and_title_records-3 (0.2ms)
  Rendered home/_topbar.html.erb (11.1ms)
  Rendered layouts/base.html.erb (14.5ms)
Completed 200 OK in 71ms (Views: 40.6ms | ActiveRecord: 11.6ms)


Version-Release number of selected component (if applicable):
Satellite 6.0.8

Comment 1 RHEL Product and Program Management 2015-05-27 08:02:35 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 3 Marek Hulan 2015-06-04 11:47:57 UTC
This was already fixed and works correctly in latest 6.1 compose so moving to MODIFIED.

Comment 4 Bryan Kearney 2015-06-26 14:32:25 UTC
Delivered in Snap10

Comment 5 Sachin Ghai 2015-07-20 07:14:22 UTC
@Marek: Hey could you please share the steps to verify this bz ? Assuming this can be verified on libvirt CR ?

Comment 6 Marek Hulan 2015-07-20 08:54:54 UTC
Sachin, go to compute profiles and create one with at least one network interface, save it. Then edit this compute profile and try to remove the NIC from it, it should remove the interface after saving. Definitely should work with libvirt.

Comment 7 Sachin Ghai 2015-07-20 11:34:59 UTC
verified with sat6.1.1 GA snap13.

I created a compute-profile with libvirt compute-resource. And added two interfaces. Later I removed both interfaces and navigate back to same compute-profile and UI still shows the removed interfaces even after submit the form successfully.

Comment 8 Sachin Ghai 2015-07-20 11:36:27 UTC
Created attachment 1053842 [details]
profile interfaces are still visible even after deletion.

Comment 17 Sachin Ghai 2015-09-01 06:55:19 UTC
Verified with SAT 6.1.2 SNAP 1

I added a new interface to compute profile. 

2015-09-01 02:52:15 [I] Processing by ComputeAttributesController#edit as */*
2015-09-01 02:52:15 [I]   Parameters: {"compute_profile_id"=>"4-testp", "id"=>"1"}
2015-09-01 02:52:16 [I]   Rendered compute_resources_vms/form/libvirt/_network.html.erb (19.3ms)
2015-09-01 02:52:16 [I]   Rendered compute_resources_vms/form/libvirt/_network.html.erb (19.1ms)
2015-09-01 02:52:16 [I]   Rendered compute_resources_vms/form/libvirt/_volume.html.erb (4.6ms)
2015-09-01 02:52:16 [I]   Rendered compute_resources_vms/form/libvirt/_volume.html.erb (129.3ms)
2015-09-01 02:52:16 [I]   Rendered compute_resources_vms/form/_libvirt.html.erb (186.4ms)
2015-09-01 02:52:16 [I]   Rendered compute_attributes/_form.html.erb (201.0ms)
2015-09-01 02:52:16 [I]   Rendered compute_attributes/edit.html.erb (204.2ms)
2015-09-01 02:52:16 [I] Completed 200 OK in 214ms (Views: 202.9ms | ActiveRecord: 3.6ms)
2015-09-01 02:52:24 [I] Processing by ComputeAttributesController#update as HTML
2015-09-01 02:52:24 [I]   Parameters: {"utf8"=>"✓", "authenticity_token"=>"tPWsP2eacGSmfhmxnxnF9yJy9KjnRUS6po7ypWDxsVY=", "compute_attribute"=>{"vm_attrs"=>{"cpus"=>"1", "memory"=>"2147483648", "nics_attributes"=>{"new_nics"=>{"type"=>"bridge", "_delete"=>"", "bridge"=>"enp0s29u1u1u5", "model"=>"virtio"}, "0"=>{"type"=>"network", "_delete"=>"", "network"=>"foreman", "model"=>"virtio"}, "new_1441090338641"=>{"type"=>"network", "_delete"=>"", "network"=>"foreman", "bridge"=>"enp0s29u1u1u5", "model"=>"virtio"}}, "volumes_attributes"=>{"new_volumes"=>{"pool_name"=>"default", "capacity"=>"10G", "allocation"=>"0G", "format_type"=>"raw", "_delete"=>""}, "0"=>{"pool_name"=>"default", "capacity"=>"10G", "allocation"=>"0G", "format_type"=>"raw", "_delete"=>""}}}}, "compute_profile_id"=>"4-testp", "id"=>"1"}
2015-09-01 02:52:24 [I] Redirected to https://cloud-qe-22.idmqe.lab.eng.bos.redhat.com/compute_profiles/4-testp
2015-09-01 02:52:24 [I] Completed 302 Found in 37ms (ActiveRecord: 10.1ms)
2015-09-01 02:52:24 [I] Processing by ComputeProfilesController#show as HTML
2015-09-01 02:52:24 [I]   Parameters: {"id"=>"4-testp"}
2015-09-01 02:52:24 [I]   Rendered compute_profiles/show.html.erb within layouts/application (6.3ms)
2015-09-01 02:52:24 [I]   Rendered home/_submenu.html.erb (1.5ms)
2015-09-01 02:52:24 [I]   Rendered home/_user_dropdown.html.erb (1.0ms)
2015-09-01 02:52:24 [I] Read fragment views/tabs_and_title_records-3 (0.1ms)
2015-09-01 02:52:24 [I]   Rendered home/_topbar.html.erb (3.4ms)
2015-09-01 02:52:24 [I]   Rendered layouts/base.html.erb (4.4ms)
2015-09-01 02:52:24 [I] Completed 200 OK in 22ms (Views: 10.7ms | ActiveRecord: 3.0ms)

Comment 18 Sachin Ghai 2015-09-01 06:58:48 UTC
Later, I was able to remove that interface.

2015-09-01 02:58:01 [I] Processing by ComputeAttributesController#update as HTML
2015-09-01 02:58:01 [I]   Parameters: {"utf8"=>"✓", "authenticity_token"=>"tPWsP2eacGSmfhmxnxnF9yJy9KjnRUS6po7ypWDxsVY=", "compute_attribute"=>{"vm_attrs"=>{"cpus"=>"1", "memory"=>"2147483648", "nics_attributes"=>{"new_nics"=>{"type"=>"bridge", "_delete"=>"", "bridge"=>"enp0s29u1u1u5", "model"=>"virtio"}, "0"=>{"type"=>"network", "_delete"=>"", "network"=>"foreman", "model"=>"virtio"}, "1"=>{"type"=>"bridge", "_delete"=>"1", "bridge"=>"enp0s29u1u1u5", "model"=>"virtio"}}, "volumes_attributes"=>{"new_volumes"=>{"pool_name"=>"default", "capacity"=>"10G", "allocation"=>"0G", "format_type"=>"raw", "_delete"=>""}, "0"=>{"pool_name"=>"default", "capacity"=>"10G", "allocation"=>"0G", "format_type"=>"raw", "_delete"=>""}}}}, "compute_profile_id"=>"4-testp", "id"=>"1"}
2015-09-01 02:58:01 [I] Redirected to https://cloud-qe-22.idmqe.lab.eng.bos.redhat.com/compute_profiles/4-testp
2015-09-01 02:58:01 [I] Completed 302 Found in 52ms (ActiveRecord: 25.9ms)
2015-09-01 02:58:02 [I] Processing by ComputeProfilesController#show as HTML
2015-09-01 02:58:02 [I]   Parameters: {"id"=>"4-testp"}
2015-09-01 02:58:02 [I]   Rendered compute_profiles/show.html.erb within layouts/application (6.4ms)
2015-09-01 02:58:02 [I]   Rendered home/_submenu.html.erb (1.4ms)
2015-09-01 02:58:02 [I]   Rendered home/_user_dropdown.html.erb (1.0ms)
2015-09-01 02:58:02 [I] Read fragment views/tabs_and_title_records-3 (0.1ms)
2015-09-01 02:58:02 [I]   Rendered home/_topbar.html.erb (3.4ms)
2015-09-01 02:58:02 [I]   Rendered layouts/base.html.erb (4.3ms)
2015-09-01 02:58:02 [I] Completed 200 OK in 22ms (Views: 10.6ms | ActiveRecord: 3.0ms)

Comment 19 Sachin Ghai 2015-09-01 07:00:25 UTC
Also, as per comment 10. I can delete volumes too. Thanks

Comment 21 errata-xmlrpc 2015-09-15 07:21:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2015:1786


Note You need to log in before you can comment on or make changes to this bug.